<div class="input-row-options m-2" ...attributes>
  <Editor::Properties::ResponsiveValue @label={{t "min height"}} @deviceSize={{@deviceSize}} @onDeviceSizeChange={{@onDeviceSizeChange}} as |size|>
    <Editor::Properties::MinVerticalHeight @size={{size}} @options={{this.options}} @onChange={{this.onChangeOptions}} />
  </Editor::Properties::ResponsiveValue>

  <Editor::Properties::ResponsiveValue @label={{t "vertical gutters"}} @deviceSize={{@deviceSize}} @onDeviceSizeChange={{@onDeviceSizeChange}} as |size|>
    <Editor::Properties::VerticalGutters @size={{size}} @options={{this.options}} @onChange={{this.onChangeOptions}} />
  </Editor::Properties::ResponsiveValue>

  <Editor::Properties::ResponsiveValue @label={{t "horizontal gutters"}} @deviceSize={{@deviceSize}} @onDeviceSizeChange={{@onDeviceSizeChange}} as |size|>
    <Editor::Properties::HorizontalGutters @size={{size}} @options={{this.options}} @onChange={{this.onChangeOptions}} />
  </Editor::Properties::ResponsiveValue>

  <Editor::Properties::ResponsiveValue @label={{t "justify content"}} @deviceSize={{@deviceSize}} @onDeviceSizeChange={{@onDeviceSizeChange}} as |size|>
    <Editor::Properties::JustifyContent @size={{size}} @options={{this.options}} @onChange={{this.onChangeOptions}} />
  </Editor::Properties::ResponsiveValue>

  <Editor::Properties::ResponsiveValue @label={{t "align items"}} @deviceSize={{@deviceSize}} @onDeviceSizeChange={{@onDeviceSizeChange}} as |size|>
    <Editor::Properties::AlignItems @size={{size}} @options={{this.options}} @onChange={{this.onChangeOptions}} />
  </Editor::Properties::ResponsiveValue>

  <Editor::Properties::ResponsiveValue @label={{t "visibility"}} @deviceSize={{@deviceSize}} @onDeviceSizeChange={{@onDeviceSizeChange}} as |size|>
    <Editor::Properties::RowVisibility @size={{size}} @options={{this.options}} @onChange={{this.onChangeOptions}} />
  </Editor::Properties::ResponsiveValue>

  <Editor::Properties::ResponsiveValue @label={{t "grow"}} @deviceSize={{@deviceSize}} @onDeviceSizeChange={{@onDeviceSizeChange}} as |size|>
    <Editor::Properties::Grow @size={{size}} @options={{this.options}} @onChange={{this.onChangeOptions}} />
  </Editor::Properties::ResponsiveValue>
</div>